Index: Dev/branches/Demo/classes/Toolbox.php
===================================================================
--- Dev/branches/Demo/classes/Toolbox.php	(revision 226)
+++ Dev/branches/Demo/classes/Toolbox.php	(revision 228)
@@ -21,7 +21,31 @@
             <div class="content">
                 <p style="float: left; clear:both; margin-bottom: 1em;">Add new:</p>
-                <div class="bigButton toolbox" onClick="submitToolbox('Survey');"><img src="images/icons/survey.png" class="buttonIcon" /><p>Survey</p></div>
-                <div class="bigButton toolbox" onClick="submitToolbox('Application');"><img src="images/icons/application.png" class="buttonIcon" /><p>Application</p></div>
-                <div class="bigButton toolbox" onClick="submitToolbox('Dashboard');"><img src="images/icons/dashboard.png" class="buttonIcon" /><p>Dashboard</p></div>
+                <ul id="toolboxMenu">
+                    <li>
+                        <div class="bigButton toolbox" onclick="ddMenu.Open('toolbox_m1')"><img src="images/icons/survey.png" class="buttonIcon" /><p>Survey</p>
+                            <div id="toolbox_m1" onmouseover="ddMenu.CancelCloseTimer()" onmouseout="ddMenu.SetCloseTimer()">
+                                <a href="#" >+ Add new</a>
+                                <a href="#">> Add existing</a>
+                            </div>
+
+                        </div>
+                    </li>
+                    <li>
+                        <div class="bigButton toolbox" onClick="ddMenu.Open('toolbox_m2')"><img src="images/icons/application.png" class="buttonIcon" /><p>Application</p>
+                            <div id="toolbox_m2" onmouseover="ddMenu.CancelCloseTimer()" onmouseout="ddMenu.SetCloseTimer()">
+                                <a href="#">+ Add new</a>
+                                <a href="#">> Add existing</a>
+                            </div>
+                        </div>
+                    </li>
+                    <li>
+                        <div class="bigButton toolbox" onClick="ddMenu.Open('toolbox_m3')"><img src="images/icons/dashboard.png" class="buttonIcon" /><p>Dashboard</p>
+                            <div id="toolbox_m3" onmouseover="ddMenu.CancelCloseTimer()" onmouseout="ddMenu.SetCloseTimer()">
+                                <a href="#">+ Add new</a>
+                                <a href="#">> Add existing</a>
+                            </div>
+                        </div>
+                    </li>
+                </ul>
             </div>
         </div>
Index: Dev/branches/Demo/classes/sessionEditorWidget.php
===================================================================
--- Dev/branches/Demo/classes/sessionEditorWidget.php	(revision 226)
+++ Dev/branches/Demo/classes/sessionEditorWidget.php	(revision 228)
@@ -80,6 +80,9 @@
         <script type="text/javascript" src="js/jquery.js"></script>
         <script type="text/javascript">
+            var ddMenu = new DDMenu();
+            
             $(document).ready(function() {
                 loadSequencer();
+                ddMenu.Init();
             });
         </script>
@@ -94,5 +97,5 @@
         // Store the current session in internal variable
         $results = $this->dbi->get("Session", array("uid"=> $_SESSION['currentSession']));
-		print_r($results);
+		//print_r($results);
         if (!empty($results)) {
             if ($results[0]->evaluate()) {
Index: Dev/branches/Demo/css/visualeditors.css
===================================================================
--- Dev/branches/Demo/css/visualeditors.css	(revision 226)
+++ Dev/branches/Demo/css/visualeditors.css	(revision 228)
@@ -551,2 +551,34 @@
     height: 415px;
 }
+
+/*******************/
+/* DDMenu specific */
+/*******************/
+
+#toolboxMenu li .bigButton.toolbox div {
+    position: absolute;
+    visibility: hidden;
+    margin: 0;
+    padding: 0;
+    border: 1px solid #555;
+    background: #eaebd8;
+}
+
+#toolboxMenu li .bigButton.toolbox div a {
+    position: relative;
+    float: left;
+    clear: left;
+    margin: 0;
+    padding: 5px 10px;
+    width: 75px;
+    white-space: nowrap;
+    text-align: left;
+    text-decoration: none;
+    color: #2875de;
+    font: 11px arial;
+}
+
+#toolboxMenu li .bigButton.toolbox div a:hover {
+    background: #49a3ff;
+    color: #fff;
+}
Index: Dev/branches/Demo/js/generalScripts.js
===================================================================
--- Dev/branches/Demo/js/generalScripts.js	(revision 226)
+++ Dev/branches/Demo/js/generalScripts.js	(revision 228)
@@ -155,2 +155,99 @@
     return document.getElementById(s);
 }
+
+// Function for getting the absolute position of the top left corner of an element, relative to the window
+function getPos(element) {
+    var posX = posY = 0;
+    if (element.offsetParent) {
+        do {
+            posX += element.offsetLeft;
+            posY += element.offsetTop;
+        } while (element = element.offSetParent);
+    }
+    
+    var result = {
+        X: posX,
+        Y: posY
+    }
+    return result;
+}
+
+// Returns the computed width of an element
+function getWidth(element) {
+    var width = 0;
+    if (element.offsetWidth) {
+        width = element.offsetWidth;
+    }
+    
+    return width;
+}
+
+// Drop down menu implementation. Supports three levels: Base button, 1st level categories, and 2nd level links
+function DDMenu() {
+    // Initialize function, setting all needed variables.
+    var instance = this;
+    this.closeTimer = 0;
+    this.ddMenuItem = null;
+    this.timeout = 350;
+    this.visible = false;
+    this.menuElement = null;
+    this.parentButton = null
+    
+    this.Init = function(id1, id2) {    
+        instance.menuElement = ge(id1);
+        instance.parentButton = ge(id2);
+    }
+    
+    this.SetCloseTimer = function() {
+        debugger;
+        instance.closeTimer = window.setTimeout(instance.Close, instance.timeout);
+    }
+    
+    this.Close = function() {
+        if (instance.ddMenuItem) {
+            instance.ddMenuItem.style.visibility = "hidden";
+        }
+        instance.Toggle();
+        
+    }
+    
+    this.CancelCloseTimer = function() {
+        if (instance.closeTimer) {
+            window.clearTimeout(instance.closeTimer);
+            instance.closeTimer = null;
+        }
+    }
+    
+    this.Open = function(id) {
+        instance.CancelCloseTimer();
+        if (instance.ddMenuItem) {
+            instance.ddMenuItem.style.visibility = "hidden";
+        }
+        
+        instance.ddMenuItem = ge(id);
+        instance.ddMenuItem.style.visibility = "visible";
+        var parentPos = getPos(instance.ddMenuItem.parentNode);
+        var parentWidth = getWidth(instance.ddMenuItem.parentNode);
+        instance.ddMenuItem.style.left = (parentPos.X + parentWidth)+"px";
+        instance.ddMenuItem.style.top = parentPos.Y+"px";
+        
+    }
+    
+    this.Toggle = function() {
+        debugger;
+        if (instance.visible) {
+            // Hide the menu
+            instance.menuElement.style.visibility = "hidden";
+            instance.parentButton.className = "";
+            instance.visible = false;
+        }
+        else{
+            //Show the menu
+            if (instance.menuElement) {
+                instance.menuElement.style.visibility = "visible";
+                instance.parentButton.className = "down";
+            }
+            instance.visible = true;
+        }
+    }
+}
Index: Dev/branches/Demo/register.php
===================================================================
--- Dev/branches/Demo/register.php	(revision 226)
+++ Dev/branches/Demo/register.php	(revision 228)
@@ -1,3 +1,3 @@
-<?php require 'classes/master.php'; //should be at top of every page    ?>
+<?php require 'classes/master.php'; //should be at top of every page     ?>
 
 <!DOCTYPE html>
@@ -6,5 +6,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Facilitator</title>
-        <?php new StyleSheet("awesome"); ?>
+        <?php new StyleSheet("visualEditors"); ?>
         <script type="text/javascript" src="js/menu.js"></script>
     </head>
@@ -16,12 +16,15 @@
         <div id="wrapper">
             <div id="content">
-                <div class="menu">
-                    <form action="index.php" method="POST"><br/>
-                        <h3>Username</h3>
-                        <input type="text" name="username"><br/>
-                        <h3>Password</h3>
-                        <input type="password" name="password"><br/><br/>
-                        <input type="submit" name="register" class="bigSurveyButton surveyButton" value="Register">
-                    </form>
+                <div class="largeFrame">
+                    <div class="largeTitle">Register</div>
+                    <div class="content">
+                        <form action="index.php" method="POST"><br/>
+                            <h3>Username</h3>
+                            <input type="text" name="username"><br/>
+                            <h3>Password</h3>
+                            <input type="password" name="password"><br/><br/>
+                            <input type="submit" name="register" class="bigButton vertical" value="Register">
+                        </form>
+                    </div>
                 </div>
             </div>
Index: Dev/branches/Demo/selectSession.php
===================================================================
--- Dev/branches/Demo/selectSession.php	(revision 226)
+++ Dev/branches/Demo/selectSession.php	(revision 228)
@@ -107,9 +107,6 @@
 
                 <div id="sessionInfoPanel" class="largeFrame" style="margin-top: 10px; width: 400px; height: 100px;">
-                    <div class="largeTitle">
-                        Info
-                    </div>
-                    <div id="infoPanelContent" style="float: left; clear: left;">
-                        Info goes here
+                    <div class="largeTitle">Info</div>
+                    <div id="infoPanelContent" class="content" style="float: left; clear: left;">
                     </div>
                 </div>
Index: Dev/branches/Demo/sessionEditor.php
===================================================================
--- Dev/branches/Demo/sessionEditor.php	(revision 226)
+++ Dev/branches/Demo/sessionEditor.php	(revision 228)
@@ -2,8 +2,8 @@
 require 'classes/master.php'; //should be at top of every page
 /*
-if (!isset($_SESSION['userUid'])) {
-    redirect('index.php');
-}
-*/
+  if (!isset($_SESSION['userUid'])) {
+  redirect('index.php');
+  }
+ */
 $sequencer = new SessionEditorWidget();
 $sequencer->LoadSession(); //load session into php part of the sequencer
@@ -25,5 +25,11 @@
         $sequencer->Javascript();
         ?>
-
+        <script type='text/javascript'>
+            var onloadFunction = function() {
+                debugger;
+                var ddMenu = new DDMenu();
+                ddMenu.Init();
+            }
+        </script>
     </head>
     <body>