Index: Dev/branches/jos-branch/css/awesome.css
===================================================================
--- Dev/branches/jos-branch/css/awesome.css	(revision 121)
+++ Dev/branches/jos-branch/css/awesome.css	(revision 233)
@@ -32,11 +32,4 @@
 }
 
-label {
-    font-size: small;
-    font-weight: bold;
-    color: #333;
-    text-shadow: #fff 0px 0px 1px;
-}
-
 legend {
     padding-left: 0em;
@@ -48,6 +41,6 @@
     background-color: #aeb2b3;
     border: 1px solid #fff;
-    -moz-border-radius: 15px;
-    border-radius: 15px;
+    -moz-border-radius: 1em;
+    border-radius: 1em;
     margin-bottom: 2em;
     padding: 0 1em 1em 1em;
@@ -59,4 +52,5 @@
     background-image: url('../images/bg/blueishgridblock.png');
     height: 100%;
+    font-size: 12px;
 }
 
@@ -107,5 +101,6 @@
     font-weight: bold;
     text-align: center;
-    line-height: 2em;
+    padding-top: 15px;
+    /*line-height: 2em;*/
     text-shadow: #555 0px 0px .2em;
     height: 189px;
@@ -259,4 +254,15 @@
     -moz-border-radius: 6px;
     border-radius: 6px;
+}
+
+
+.surveyButton.dis {
+    color: #666;
+}
+
+.surveyButton.dis:hover {
+    background-color: transparent;
+    color: #666;
+    border-color: #555;
 }
 
@@ -549,5 +555,5 @@
 
 #questionEditForm {
-   
+
 }
 
@@ -557,2 +563,428 @@
     color:white;
 }
+
+
+/*
+#pipelineFrame{
+    height: 12em;
+    width: 96em;
+    display: block;
+    background-image: url('../images/bg/pipelineFrameBG.png');
+    background-color: #e3eff3;
+}
+
+.pipelineFrame .pipelineObject {
+    width: 10em;
+    height: 10em;
+    margin: 1em auto 1em auto;
+    text-align: center;
+}
+*/
+
+/*
+*
+*
+*   Horizontal sequencer styling
+*
+*
+*/
+
+#sequencer {
+    width: 100%;
+    /*max-width: 800px;*/
+    margin: 0 auto 0 auto;
+    padding-right: 0.5em;
+    /*background-image: url('../images/bg/sequencerBG.png');*/
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+    float: left;
+}
+
+#sequencer #seqContent {
+    height: 9em;
+    width: 98%;
+    overflow-x: scroll;
+    overflow-y: hidden;
+
+    margin-bottom: 0.5em;
+
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        left top,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+
+    border: 1px solid #ddd;
+    -moz-border-radius: 0.5em;
+    border-radius: 0.5em;
+    padding: 0.5em;
+    /*white-space: nowrap;*/
+    float: left;
+}
+
+#sequencer #controls {
+    width: auto;
+    text-align: right;
+    margin-bottom: -0.5em;
+    float: right;
+}
+
+.displayStep {
+    width: 52px;
+    padding: 0;
+    margin: 10px 0 0 0;
+    background-repeat: no-repeat;
+    float: left;
+    text-align: center;
+    -webkit-user-select: none;
+    -khtml-user-select: none;
+    -moz-user-select: none;
+    -o-user-select: none;
+    user-select: none;
+}
+
+.displayStep.selected {
+    -moz-box-shadow: 0 0 50px #FFF;
+    -webkit-box-shadow: 0 0 50px #FFF;
+    box-shadow: 0 0 50px #FFF;
+
+}
+
+.displayStep .displayStepIcon {
+    width: 50px;
+    height: 50px;
+    border: 2px solid #444444;
+    color: #FFF;
+    /*float: left;*/
+}
+
+.displayStep p{
+    margin-top: 5px;
+    font-weight: normal;
+    font-size: 0.875em;
+    /*float: left;*/
+
+}
+
+#seqContent .divider {
+    width: 10px;
+    height: 50px;
+    margin: 10px 15px 0 20px;
+    background-image: url('../images/ui/sequencerDivider.png');
+    float: left;
+    /*display: inline-block;*/
+}
+
+#seqContentWrapper {
+    float: left;
+    margin-right: -32767px; /* maximum for opera, enough for ~320 steps*/
+    padding: 0 10px;
+}
+
+
+
+
+
+
+/*
+ *
+ *
+ *  TOOLBOX
+ *
+ *
+*/
+
+#toolbox {
+    /*width: 40%;*/
+    float: left;
+    margin: 1em 2em 0 0;
+    /*background-image: url('../images/bg/sequencerBG.png');*/
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+
+}
+
+#toolbox .creationButton {
+    height: 50px;
+    margin: 0 0 5px 0;
+    border: 1px solid #000;
+    border-radius: 6px;
+    -moz-border-radius: 6px;
+    cursor: pointer;
+}
+
+#toolbox .creationButton:hover {
+    border: 1px solid #FFF;
+    background: rgba(255, 255, 255, 0.2);
+}
+
+#toolbox .buttonIcon {
+    border: none;
+    border-radius: 6px;
+    margin: 0 10px 0 0;
+    float: left;
+}
+
+#toolbox .creationButton p {
+    margin: 15px 10px 0 0;
+    color: #444;
+    float: left;
+}
+
+#infoPanel {
+    width: 500px;
+    float: right;
+    margin: 1em 0 0 0;
+    /*background-image: url('../images/bg/sequencerBG.png');*/
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+}
+
+#infoContent {
+    float: left;
+    display: block;
+    width: 500px;
+    background-color: #ff0000;
+}
+
+.fieldsetTitle {
+    height: 1em;
+    margin-bottom: 0.5em;
+    margin-top:0.5em;
+    margin-left: 1em;
+    font-size: 1.25em;
+    color: #FFF;
+    /*float: left;*/
+    display: block;
+    clear: right;
+}
+
+fieldset p {
+    display: block;
+}
+
+
+
+/* QUESTION EDITOR
+*/
+
+#questionEditor {
+    width: 60em;
+    background-color: #00FF00;
+    border: 1px solid #FFF;
+    display: block;
+    margin: 0;
+    padding: 0;
+    float: left;
+    background-color: #5c5c5c;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+
+#questionEditor_header {
+    height: 1.5em;
+    float: left;
+    font-size: 1.25em;
+    color: #FFF;
+    padding: 0.5em 1em 0 1em;
+}
+
+#questionEditor_content {
+    width: 58em;
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+    float: left;
+    padding: 0.5em 1em;
+
+}
+
+#questionEditor_controls {
+    float: right;
+    height: 2em;
+    text-align: right;
+}
+
+
+
+#questionEditor_bodyText_textArea {
+    resize: none;
+    width: auto;
+    min-width: 51em;
+    margin: 3px;
+}
+
+#questionEditor_bodyText_staticText {
+    color: white;
+    font-size: 12px;
+}
+
+.questionParamField {
+    float: left;
+    margin: 2px 0 2px 0;
+}
+
+#questionEditor_questionParams label {
+    width: 130px;
+    float: left;
+    margin: 4px 0 0 0;
+}
+
+.formLineBreak {
+    clear: left;
+}
+
+#surveyEditor {
+    
+    margin: 0 auto 0 auto;
+    
+    /*background-image: url('../images/bg/sequencerBG.png');*/
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.21, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    background-position: bottom;
+    background-repeat: repeat-x;
+    float: left;
+    
+    background-color: #aeb2b3;
+    border: 1px solid #fff;
+    -moz-border-radius: 1em;
+    border-radius: 1em;
+    margin-bottom: 2em;
+    padding: 0 1em 1em 1em;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+
+#surveyEditorContent {
+    overflow-x: hidden;
+
+    margin-bottom: 0.5em;
+
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left bottom,
+        left top,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+
+    border: 1px solid #ddd;
+    -moz-border-radius: 0.5em;
+    border-radius: 0.5em;
+    padding: 1em;
+    float: left;
+}
+
+.questionDisplay {
+    width: 60em;
+    border: 1px solid #FFF;
+    display: block;
+    margin: 0;
+    padding: 0;
+    float: left;
+    background-color: #5c5c5c;
+    -moz-box-shadow: 2px 2px 1px #888;
+    -webkit-box-shadow: 2px 2px 1px #888;
+    box-shadow: 2px 2px 1px #888;
+}
+
+.questionDisplayContent {
+    margin: 0;
+    background-image: linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -o-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -moz-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -ms-linear-gradient(top, #B0B0B0 21%, #888888 80%);
+    background-image: -webkit-gradient(
+        linear,
+        left top,
+        left bottom,
+        color-stop(0.25, #B0B0B0),
+        color-stop(0.8, #888888)
+        );
+    padding: 0.5em;
+}
+
+.questionDisplayControls {
+    text-align: right;
+}
+
+p.questionBody {
+    border: 1px solid #cccccc;
+    background-color: #c5c5c5;
+}
+
+#surveyEditorControls {
+    text-align: right;
+}