Index: Dev/branches/jos-branch/classes/widgets/SurveyEditorWidget.php
===================================================================
--- Dev/branches/jos-branch/classes/widgets/SurveyEditorWidget.php	(revision 234)
+++ Dev/branches/jos-branch/classes/widgets/SurveyEditorWidget.php	(revision 235)
@@ -57,5 +57,5 @@
 " />
                 </div>
-                <input type="button" id="vertControls_Add" class="bigButton vertical" value="+" onClick="addQuestion_Click();" />
+                <input type="button" id="vertControls_Add" class="bigButton vertical" value="+" onClick="questionEditor.createNewQuestion()" />
             </div>
             <div id="surveyEditorControls" class="controls">
@@ -93,4 +93,5 @@
         <script type="text/javascript" src="js/generalscripts.js"></script>
         <script type="text/javascript" src="js/jquery.js"></script>
+        <script type="text/javascript" src="js/questionEditorScripts.js"></script>
         <script type="text/javascript">
             $(document).ready(function() {
Index: Dev/branches/jos-branch/css/visualeditors.css
===================================================================
--- Dev/branches/jos-branch/css/visualeditors.css	(revision 234)
+++ Dev/branches/jos-branch/css/visualeditors.css	(revision 235)
@@ -489,6 +489,34 @@
 }
 
+/****************************/
+/* QUESTION EDITOR SPECIFIC */
+/****************************/
+
+.smallFrame.questionEditor {
+    /* Nothing yet... */
+}
+
+.qeBodyTextField {
+    width: 600px;
+    height: 100px;
+}
+
+#qeQuestionParamsDiv label {
+    float: left;
+    width: 150px;
+    margin: 5px 5px;
+}
+
+#qeQuestionParamsDiv .qeParamField {
+    float: left;
+}
+
+#qeQuestionParamsDiv .l {
+    clear: left;
+}
+
+
 /**************************/
-/* Survey Editor Specific */
+/* Cartis Editor Specific */
 /**************************/
 
Index: Dev/branches/jos-branch/getObject.php
===================================================================
--- Dev/branches/jos-branch/getObject.php	(revision 235)
+++ Dev/branches/jos-branch/getObject.php	(revision 235)
@@ -0,0 +1,30 @@
+<?php
+
+require "classes/master.php";
+
+//Get post variables
+if (!isset($_POST['args']) || empty($_POST['args'])) {
+    $requestArray = JSON_deode($_POST['args']);
+} else {
+    die("No input passed!");
+}
+
+$resultArray = array();
+
+foreach ($requestArray as $request) {
+    $type = $request->type;
+    $results = $type::get(array("uid" => $request->uid));
+
+    if (isset($results) && !empty($results) && count($results) > 0) {
+        // Add type property for easier identification in JS.
+        $results[0]->objectType = type;
+        $resultArray[] = $results[0];
+    }
+    else {
+        $resultArray[] = array("uid"=>"Not found!");
+    }
+}
+
+$output = JSON.encode($resultArray);
+echo $output;
+?>
Index: Dev/branches/jos-branch/index.php
===================================================================
--- Dev/branches/jos-branch/index.php	(revision 234)
+++ Dev/branches/jos-branch/index.php	(revision 235)
@@ -6,9 +6,4 @@
  *   
  */
-
-
-if (isset($_SESSION['userUid'])) {
-    redirect("logout.php");
-}
 
 $errorMessage[] = "";
@@ -20,5 +15,5 @@
             if (strlen($_POST['password']) > 6) {
                 $user = new User(null, $_POST['username'], $_POST['password']);
-				$user->save();
+                $user->save();
                 $_SESSION['userUid'] = $user->uid;
             } else {
@@ -37,5 +32,7 @@
     if (isset($user_results[0])) {
         if ($user_results[0]->password == $_POST['password']) {
+            
             $_SESSION['userUid'] = $user_results[0]->uid;
+            var_dump($user_results[0]);
         } else {
             $errorMessage[] = "Incorrect password!";
@@ -47,5 +44,5 @@
 
 if (isset($_SESSION['userUid'])) {  // User just registered a new account
-    redirect('selectSession.php');
+    redirect('mainmenu.php');
 }
 ?>
@@ -56,5 +53,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Facilitator</title>
-        <?php new StyleSheet("awesome"); ?>
+        <?php new StyleSheet("visualeditors"); ?>
         <script type="text/javascript" src="js/menu.js"></script>
         <script type="text/javascript">
@@ -72,23 +69,27 @@
 
             <div id="content">
-                <div class="menu">
-                    <form action="index.php" method="POST">
-                        <h3>Username</h3>
-                        <input type="text" name="username"><br />
-                        <h3>Password</h3>
-                        <input type="password" name="password"><br/><br />
-                        <div id="errorDisplay">
-                            <?php
-                            foreach ($errorMessage as $message) {
-                                echo "<h3 style='color: #FF0000;'>$message</h3>";
-                            }
-                            ?>
-                        </div>
-                        <br/>
-                        <input type="submit" name="login" class="surveyButton bigSurveyButton" value="Log in">
-                    </form>
-                    <form action="register.php" method="POST">
-                        <input type="submit" name="register" class="surveyButton bigSurveyButton" value="Register">
-                    </form>
+                <div class="largeFrame">
+                    <div class="largeTitle">Log in</div>
+                    <div class="content">
+                        <form action="index.php" method="POST">
+                            <h3>Username</h3>
+                            <input type="text" name="username"><br />
+                            <h3>Password</h3>
+                            <input type="password" name="password"><br/><br />
+                            <div id="errorDisplay">
+                                <?php
+                                foreach ($errorMessage as $message) {
+                                    echo "<h3 style='color: #FF0000;'>$message</h3>";
+                                }
+                                ?>
+                            </div>
+                            <br/>
+                            <input type="submit" name="login" class="bigButton vertical" value="Log in">
+                        </form>
+                        <form action="register.php" method="POST">
+                            <input type="submit" name="register" class="bigButton vertical" value="Register" style="margin-bottom: 0.25em;">
+                        </form>
+                    </div>
+
                 </div>
             </div>
Index: Dev/branches/jos-branch/js/questionEditorScripts.js
===================================================================
--- Dev/branches/jos-branch/js/questionEditorScripts.js	(revision 234)
+++ Dev/branches/jos-branch/js/questionEditorScripts.js	(revision 235)
@@ -1,3 +1,6 @@
+// Old, should not be used anymore after class-based QuestionEditor() is finished!!!!!
 var qUID, parentObjectUID, qName, qTag, qType, qAnswerLength;
+
+var questionEditor = new QuestionEditor();
 
 function selectAnswerType(){
@@ -42,8 +45,9 @@
 }
 
-function createNewInputLabel(text, target) {
+function createNewInputLabel(text, target, side) {
     var newLabel = document.createElement("label");
     if (target) newLabel.setAttribute("for",target);
     newLabel.innerHTML = text;
+    if (side) newLabel.className = side;
     return newLabel;
 }
@@ -64,25 +68,4 @@
 }
 
-
-///////////////////
-/* INT SELECTION */
-///////////////////
-
-function selectIntType() {
-    var selectBox = document.getElementById("questionType");
-    var content = document.getElementById("questionEditor_questionParams");
-    // Add minimum value input
-    var minValueBox = createNewElement("input","text","minValueBox", "questionParamField", null);
-    var minValueBoxLabel = createNewInputLabel("Minimum value:", "minValueBox");
-    addClass(minValueBoxLabel, "formLineBreak");
-    content.appendChild(minValueBoxLabel);
-    content.appendChild(minValueBox);
-    // Add maximum value input
-    var maxValueBox = createNewElement("input", "text", "maxValueBox", "questionParamField", null);
-    var maxValueBoxLabel = createNewInputLabel("Maximum value:","maxValueBox");
-    addClass(maxValueBoxLabel, "formLineBreak");
-    content.appendChild(maxValueBoxLabel);
-    content.appendChild(maxValueBox);
-}
 
 /////////////////////
@@ -171,21 +154,27 @@
 }
 
+//////////////////////////////////////////
+/* QUESTION EDITOR CLASS BASED APPROACH */
+//////////////////////////////////////////
+
 function QuestionEditor() {
     // Properties    
-    this.uid = null;
-    this.element = null;
-    this.paramsElement = null;
-    
+    this.uid = null;    // The uid of the question contained in this editor
+    var me = this;      // Retarded self-reference because: Javascript
+    this.element = null;    // The parent div element containing the questionEditor
+    this.paramsElement = null;  // The parent parameters element where all the input sets will be located
+    this.paramSets = null;  // The currently enabled input sets to be displayed in the paramsElement
+    
+    // Methods
     // Basic functionality
     this.setValues = function(arguments) {
-        // Query question information from database, then fill element fields with correct information.
-        
+        var question = JSON.parse(arguments);        
     }
     this.init = function() {
         // Outer div
-        this.element = ce("div");
-        this.element.className = "smallFrame questionEditor";
-        this.element.id = sequencer.state.selectedObject.uid;
-        this.uid = sequencer.state.selectedObject.uid;
+        me.element = ce("div");
+        me.element.className = "smallFrame questionEditor";
+        me.element.id = sequencer.state.selectedObject.uid;
+        me.uid = sequencer.state.selectedObject.uid;
         // Header
         var titleDiv = ce("div");
@@ -193,37 +182,42 @@
         var numberDiv = ce("div");
         numberDiv.className = "listNumber";
-        numberDiv.innerHTML = "4";
+        numberDiv.innerHTML = "4"; //TODO
         var nameSpan = ce("span");
-        nameSpan.id = "qTitleField";
+        nameSpan.id = "qeTitleField";
         nameSpan.innerHTML = "New question";
         titleDiv.appendChild(numberDiv);
         titleDiv.innerHTML += "Editing: ";
         titleDiv.appendChild(nameSpan);
-        this.element.appendChild(titleDiv);
+        me.element.appendChild(titleDiv);
     
         //Content area
         var contentDiv = ce("div");
         contentDiv.className = "content";
-        var bodyText = createNewElement("textarea", null, "qBodyTextField", "qBodyTextField", null);
+        var bodyText = createNewElement("textarea", null, "qeBodyTextField", "qeBodyTextField", null);
         bodyText.value = "Question body text goes here";
-    
-    
+        contentDiv.appendChild(bodyText);
+        
         // The dynamic questionParams div, where all the control elements and inputs will be located
         var questionParams = ce("div");
-        this.paramsElement = questionParams;
+        me.paramsElement = questionParams;
         questionParams.className = "questionParams";
-        contentDiv.appendChild(bodyText);
-        var qIdentField = createNewElement("input", "text", "qIdentField", "questionParamField", null);
-        var qIdentField_lbl = createNewInputLabel("Question code:","qIdentField", "l");
-        questionParams.appendChild(qIdentField_lbl);
-        questionParams.appendChild(qIdentField);
-    
-        var qTypeField = createNewElement("select", null, "qTypeField", "questionParamField", null);
-        var qTypeField_lbl = createNewInputLabel("Answer type:","qTypeField", "l");
-        questionParams.appendChild(qTypeField_lbl);
-        questionParams.appendChild(qTypeField);
-        qTypeField.addEventListener("change", function(){
-            debugger;
-            selectAnswerType();
+        questionParams.id = "qeQuestionParamsDiv";
+        
+        var basicContainer = ce("div");
+        basicContainer.className = "basicInputs";
+        
+        var qeCodeField = createNewElement("input", "text", "qeCodeField", "qeParamField", null);
+        var qeCodeField_lbl = createNewInputLabel("Question code:","qeCodeField", "l");
+        basicContainer.appendChild(qeCodeField_lbl);
+        basicContainer.appendChild(qeCodeField);
+    
+        var qeTypeField = createNewElement("select", null, "qeTypeField", "qeParamField", null);
+        var qeTypeField_lbl = createNewInputLabel("Answer type:","qeTypeField", "l");
+        basicContainer.appendChild(qeTypeField_lbl);
+        basicContainer.appendChild(qeTypeField);
+        questionParams.appendChild(basicContainer);
+        qeTypeField.addEventListener("change", function(){
+            //debugger;
+            me.selectAnswerType();
         }, false);
         // Add the select options. Do this in a block scope to prevent the o1 var from messing things up. 
@@ -233,29 +227,29 @@
             o1.value = null;
             o1.text = "";
-            qTypeField.appendChild(o1);
+            qeTypeField.appendChild(o1);
         
             o1 = ce("option");
             o1.value = "int";
             o1.text = "Integer";
-            qTypeField.appendChild(o1);
+            qeTypeField.appendChild(o1);
         
             o1 = ce("option");
             o1.value = "scale";
             o1.text = "Scale";
-            qTypeField.appendChild(o1);
+            qeTypeField.appendChild(o1);
         
             o1 = ce("option");
             o1.value = "choice";
             o1.text = "Multiple choice";
-            qTypeField.appendChild(o1);
+            qeTypeField.appendChild(o1);
         
             o1 = ce("option");
             o1.value = "text";
             o1.text = "Text";
-            qTypeField.appendChild(o1);
+            qeTypeField.appendChild(o1);
         }
     
         contentDiv.appendChild(questionParams);
-        this.element.appendChild(contentDiv);
+        me.element.appendChild(contentDiv);
     
         // Controls bar
@@ -267,25 +261,17 @@
         controlsDiv.appendChild(btnSave);
         btnSave.addEventListener("click", function(){
-            swapQuestionState(true);
+            me.save();
         }, false);
         btnDiscard.addEventListener("click", function(){
-            swapQuestionState(false);
+            me.discard();
         }, false);
-        this.element.appendChild(controlsDiv);
+        me.element.appendChild(controlsDiv);
+        me.paramSets = new Array();
+        me.paramSets.push("basic");
+    }
+    this.save = function() {
         var request = {
-            "uid": this.uid,
-            "type": "Question"
-        }
-        var requestString = "args="+JSON.stringify(request);
-        newAjaxRequest(requestString, "returnObjectDisplay.php", function(result){
-            // Fill in the element with the correct values
-            // Result is sent to setValues in object form already, perhaps better idea to send in string format and parse within the target method?
-            this.setValues(JSON.parse(result.responseText));
-        }, true);
-    }
-    this.submit = function() {
-        var request = {
-            "title": ge("qTitleField").value,
-            "type": ge("qTypeField").value
+            "title": ge("qeTitleField").value,
+            "type": ge("qeTypeField").value
         }
         
@@ -294,7 +280,10 @@
         }, true);
     }
+    this.reset = function() {
+        me.init();
+    }
     
     // Updating input fields
-    this.selectAnswertype = function () {
+    this.selectAnswerType = function () {
         // Switch statement, call this.type_x where x is the relevant answer type.
         // For all this.type_X funtions:
@@ -304,10 +293,100 @@
         // Important: use the this.paramsElement to access the questionParams div!
         // To fully make use of this class-based approach, the editor should be added to a global variable. This global variable should be removed on page unload!
+    
+        var type = ge("qeTypeField").value;
+        switch (type) {
+            case "int":
+                me.type_Integer();
+                break;
+            case "scale":
+                me.type_Scale();
+                break;
+            case "choice":
+                me.type_Choice();
+                break;
+            case "text":
+                me.type_Text();
+                break;
+            default:
+                //Do nothing
+                break;
+                
+        }
+    
+    }
+    this.checkInputSets = function () {
+        // Loop through all input containers in the paramsField
+        for (var n = 0; n < me.paramsElement.childNodes.length; n++) {
+            if (me.paramsElement.childNodes[n].className == "basicInputs") continue;
+            // Check if the class (inputSet) is currently in paramSets
+            if (me.paramSets.indexOf(me.paramsElement.childNodes[n].className) < 0) {
+                me.paramsElement.childNodes[n].parentNode.removeChild(me.paramsElement.childNodes[n]);
+                n--;
+            }
+            
+        }
+    }
+    
+    this.type_Integer = function () {
+        if (me.paramSets.indexOf("int_basic") < 0) {
+            me.paramSets = new Array("int_basic");
+        }
+        else return;
+        
+        me.checkInputSets();
+                
+        var qeMinValueField = createNewElement("input", "text", "qeMinValueField", "qeParamField", null);
+        var qeMinValueField_lbl = createNewInputLabel("Minimum value: ", "qeMinValueField", "l");
+        var qeMaxValueField = createNewElement("input", "text", "qeMaxValueField", "qeParamField", null);
+        var qeMaxValueField_lbl = createNewInputLabel("Maximum value: ", "qeMaxValueField", "l");
+        var container = ce("div");
+        container.className = "int_basic";
+        container.appendChild(qeMinValueField_lbl);
+        container.appendChild(qeMinValueField);
+        container.appendChild(qeMaxValueField_lbl);
+        container.appendChild(qeMaxValueField);
+        me.paramsElement.appendChild(container);
+        
     }
     this.type_Scale = function () {
-        
-    }
-    this.type_Integer = function () {
-        
+        if (me.paramSets.indexOf("scale_basic") < 0) {
+            me.paramSets = new Array("scale_basic");
+        }
+        else return;
+        // Clear any input sets that should not be there
+        me.checkInputSets();
+        
+        var container = ce("div");
+        container.className = "scale_basic";
+        
+        // Number of choices SELECT
+        var numChoicesField = createNewElement("select", null, "qeNumChoicesField", "qeParamField", null);
+        var numChoicesField_lbl = createNewInputLabel("Number of choices", "qeNumChoicesField", "l");
+        // SELECT options
+        for (var n = 2; n < 11; n++) {
+            var o = ce("option");
+            o.value = n-1;
+            o.text = n-1;
+            numChoicesField.appendChild(o);
+        }
+        container.appendChild(numChoicesField_lbl);
+        container.appendChild(numChoicesField);
+        
+        // Scale labels CHECKBOX and TEXTs
+        var legendsEnabledField = createNewElement("input", "checkbox", "qeLegendsEnabledField", "qeParamField", null);
+        var legendsEnabledField_lbl = createNewInputLabel("Enable legends", "qeLegendsEnabledField", "l");
+        container.appendChild(legendsEnabledField_lbl);
+        container.appendChild(legendsEnabledField);
+        
+        var upperLegendText = createNewElement("input", "text", "qeUpperLegendField", "qeParamField", null);
+        var lowerLegendText = createNewElement("input", "text", "qeLowerLegendField", "qeParamField", null);
+        var upperLegendText_lbl = createNewInputLabel("Upper legend", "qeUpperLegendField", "l");
+        var lowerLegendText_lbl = createNewInputLabel("Lower legend", "qeLowerLegendField", "l");
+        container.appendChild(lowerLegendText_lbl);
+        container.appendChild(lowerLegendText);
+        container.appendChild(upperLegendText_lbl);
+        container.appendChild(upperLegendText);
+        
+        me.paramsElement.appendChild(container);
     }
     this.type_Text = function () {
@@ -315,28 +394,56 @@
     }
     this.type_Choice = function() {
-        
-    }
-    
-}
-
-function newEditor() {
-    // Get variables, ofc not null...
-    var arguments = null;
-    var editor = new QuestionEditor(arguments);
-    editor.setValues(arguments);
-    ge("seqContentWrapper").appendChild(editor.element);
-// Etc. We can put the switchModes() command in here as well, I'd say...
-// Or should that be in the QuestionEditor class? That's probably better, since it has direct access to all the internal variables.
-}
-
-function startEditingQuestion(uid) {
-    if (sequencer.state.editing == true) return;
-    
-    var element = ge(uid);
-    var editor = new QuestionEditor();
-    var newElement = editor.createElement();
-    // Query parameters
-    editor.setValues(parameters);
-    element.parentNode.replaceChild(newElement, element);
-    sequencer.state.editing = true;
-}
+        debugger;
+        if (me.paramSets.indexOf("choice_basic")) {
+            me.paramSets = new Array("choice_basic");
+        }
+        else return;
+        
+        me.checkInputSets();
+        
+        var container = ce("div");
+        container.className = "choice_basic";
+        // num options SELECT
+        var numOptionsSelect = createNewElement("select", null, "qeNumOptionsField", "qeParamField", null);
+        var numOptionsSelect_lbl = createNewInputLabel("Number of options", "qeNumOptionsField", "l");
+        for (var n = 2; n < 11; n++) {
+            var o = ce("option");
+            o.value = n-1;
+            o.text = n-1;
+            numOptionsSelect.appendChild(o);
+        }
+        container.appendChild(numOptionsSelect_lbl);
+        container.appendChild(numOptionsSelect);
+        
+        me.paramsElement.appendChild(container);
+    }
+        
+    // Editing
+    this.editQuestion = function(uid) {
+        if (sequencer.state.editing == true) return;
+        if (sequencer.state.loaded == false) return;
+        sequencer.state.editing = true;
+        
+        var request = {
+            "type": "Question",
+            "uid": uid
+        }
+        
+        var requestString = "args="+JSON.stringify(request);
+        sequencer.state.loaded = false;
+        newAjaxRequest(requestString, getObject.php, function(result){
+            // Once results are in
+            questionEditor.setValues(result.responseText);
+            sequencer.state.loaded = true;
+        }, true);
+    }
+    this.createNewQuestion = function() {
+        if (sequencer.state.editing == true) return;
+        if (sequencer.state.loading == true) return;
+        sequencer.state.editing = true;
+    
+        me.reset();
+        var container = ge("seqContentWrapper");
+        container.appendChild(me.element);
+    }
+}
Index: Dev/branches/jos-branch/mainmenu.php
===================================================================
--- Dev/branches/jos-branch/mainmenu.php	(revision 234)
+++ Dev/branches/jos-branch/mainmenu.php	(revision 235)
@@ -1,28 +1,4 @@
 <?php
-require 'classes/master.php'; //should be at top of every page   
-     
-if (isset($_POST['login'])) {
-    if ($_POST['username'] == '')
-        die("Please log in!");
-    else {
-        $userDBI = new UserDatabaseInterface();
-        $user_exists = $userDBI->checkUserName($_POST['username']);
-        if ($user_exists) {
-            $correct_password = $userDBI->checkUserPassword($_POST);
-            /* session remembers login */
-            if (!$correct_password)
-                die("The password you entered is not correct!");
-            else
-                $_SESSION['username'] = $_POST['username'];
-        }
-        else
-            die("Unknown user name");
-    }
-}
-else if (is_null($_SESSION['username']))
-    redirect('index.php');
-
-$surveys = Loader::loadSurveys();
-$applications = Loader::loadApplications();
+require 'classes/master.php'; //should be at top of every page
 ?>
 
@@ -32,6 +8,6 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Facilitator</title>
-        <?php new StyleSheet(); ?>
-        <script type="text/javascript" src="js/menu.js"></script>
+        <?php new StyleSheet("visualeditors"); ?>
+        <script type="text/javascript" src="js/generalScripts.js"></script>
     </head>
     <body>
@@ -41,15 +17,25 @@
 
         <div id="wrapper">
+            <div id="content">
+                <div class="largeFrame side" id="adminPanel">
+                    <div class="largeTitle">Administrator</div>
+                    <div class="innerLargeFrame">
+                        <p>Use the below buttons to access, edit and create new sessions and content.</p><br />
+                        <input type="button" class="bigButton vertical" value="Browse Sessions" id="btnEditSessions" onClick="window.location='selectSession.php'" /><br />
+                        <input type="button" class="bigButton vertical" value="Browse Surveys" id="btnEditSessions" onClick="window.location='selectSurvey.php'" /><br />
+                        <input type="button" class="bigButton vertical" value="Browse Questions" id="btnEditSessions" onClick="window.location='selectQuestion.php'" /><br />
+                        <input type="button" class="bigButton vertical" value="Browse Applications" id="btnEditSessions" onClick="window.location='selectApplication.php'" /><br />
 
-            <div id="content">
-                                
-                    <?php new SessionMenu(); ?>
-
-                    <?php new ApplicationMenu($applications); ?>
-                
-                    <?php new SurveyMenu($surveys); ?>
-                
-                    <?php new QuestionMenu(); ?>
-
+                    </div>
+                    <div class="controls"></div>
+                </div>
+                <div class="largeFrame side" id="facilitatorPanel">
+                    <div class="largeTitle">Facilitator</div>
+                    <div class="innerLargeFrame">
+                        <p>Use the Start button below to start hosting a session.</p>
+                        <input type="button" class="bigButton vertical" value="Start" id="btnFacStart" onClick="window.location='facpanel.php'" style="margin-top: 0.25em;"/>
+                    </div>
+                    <div class="controls"></div>
+                </div>
             </div>
         </div>
Index: Dev/branches/jos-branch/selectSession.php
===================================================================
--- Dev/branches/jos-branch/selectSession.php	(revision 234)
+++ Dev/branches/jos-branch/selectSession.php	(revision 235)
@@ -63,5 +63,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <title>Select a session</title>
-        <?php new StyleSheet("awesome"); ?>
+        <?php new StyleSheet("visualeditors"); ?>
         <script type="text/javascript" src="js/sequencerScripts.js"></script>
         <script type="text/javascript" src="js/generalScripts.js"></script>
@@ -74,45 +74,51 @@
         <div id="wrapper">
             <div id="content">
-                <form action="selectSession.php" method="POST">
-                    <fieldset name="selectionMenu">
-                        <!-- onchange van volgende select linkt deze aan de ajax-based info panel, script staat in sequencerScripts.js -->
-                        <select name="sessionUid" style="float: left;" onChange="ajaxInfoRequest(this.value, document.getElementById('infoPanelContent'), 'Session');">
-                            <option value="" disabled="true" selected>Please select a session</option>
-                            <?php
-                            foreach ($sessions as $session) {
-                                $selected = "";
-                                if ($session->title == $_POST['newSessionName']) {
-                                    $selected = ' selected="true"';
-                                }
+                <div class="largeFrame" id="sessionSelector" style="width: 400px;">
+                    <div class="largeTitle">Select session</div>
+                    <div class="content">
+                        <form action="selectSession.php" method="POST">
+                            <div style="float: left; clear: left;">
+                                <select name="sessionUid" style="float: left;" onChange="ajaxInfoRequest(this.value, document.getElementById('infoPanelContent'), 'Session');">
+                                    <option value="" disabled="true" selected>Please select a session</option>
+                                    <?php
+                                    foreach ($sessions as $session) {
+                                        $selected = "";
+                                        if ($session->title == $_POST['newSessionName']) {
+                                            $selected = ' selected="true"';
+                                        }
 
-                                echo '<option value="' . $session->uid . '"' . $selected . '>' . $session->title . '</option>' . "\n";
-                            }
-                            ?>                    
-                        </select>
-                        <br /><br />
-                        <input type="hidden" name="updateNeeded" value="true" />
-                        <input type="text" name="newSessionName" value="Name..." style="float: left;" /><br />
-                        <input type="submit" name="createSession" value="Create new session" class="surveybutton" style="float: left;" />
-                        <input type="submit" name="editSession" value="Edit session" class="surveybutton" style="float: left;" />
-                        <input type="submit" name="deleteSession" value="Delete session" class="surveybutton" style="float: left;" />
-                        <br /><br /><br />
-                        <div id="errorDisplay"><?php
-                            if (isset($errorMessage)) {
-                                foreach ($errorMessage as $message) {
-                                    echo $message;
-                                }
-                            }
-                            ?></div>
-                    </fieldset>
-                    <fieldset id="sessionDescription">
-                        <div class="fieldsetTitle">
-                            Info
-                        </div>
-                        <div id="infoPanelContent">
-                        </div>
-                    </fieldset>
+                                        echo '<option value="' . $session->uid . '"' . $selected . '>' . $session->title . '</option>' . "\n";
+                                    }
+                                    ?>                    
+                                </select>
+                                <input type="hidden" name="updateNeeded" value="true" />
+                                <input type="text" name="newSessionName" value="Name..." style="float: left; clear: left;" /><br />
+                            </div>
+                            <div style="float: left; clear: none;">
+                                <input type="submit" name="createSession" value="Create new session" class="smallButton vertical" style="float: left;" />
+                                <input type="submit" name="editSession" value="Edit session" class="smallButton vertical" style="float: left;" />
+                                <input type="submit" name="deleteSession" value="Delete session" class="smallButton vertical" style="float: left;" />
+                            </div>
+                            <div id="errorDisplay"><?php
+                                    if (isset($errorMessage)) {
+                                        foreach ($errorMessage as $message) {
+                                            echo $message;
+                                        }
+                                    }
+                                    ?>
+                            </div>
+                    </div>
+                </div>
+
+                <div id="sessionInfoPanel" class="largeFrame" style="margin-top: 10px; width: 400px; height: 100px;">
+                    <div class="largeTitle">Info</div>
+                    <div id="infoPanelContent" class="content" style="float: left; clear: left;">
+                    </div>
+                </div>
                 </form>
             </div>
         </div>
-    </body>
+    </div>
+</div>
+</body>
 </html>
Index: Dev/branches/jos-branch/surveyEditor.php
===================================================================
--- Dev/branches/jos-branch/surveyEditor.php	(revision 234)
+++ Dev/branches/jos-branch/surveyEditor.php	(revision 235)
@@ -21,4 +21,7 @@
     </head>
     <body>
+        <div id="header">
+            <?php new Logo(); ?>
+        </div>
         <div id="wrapper">
             <div id="content">