Index: Dev/branches/Cartis/breadcrumbs.php
===================================================================
--- Dev/branches/Cartis/breadcrumbs.php	(revision 239)
+++ Dev/branches/Cartis/breadcrumbs.php	(revision 239)
@@ -0,0 +1,21 @@
+<?php
+
+$ul_id = 'crumbs';
+$bc = explode("/", $_SERVER["PHP_SELF"]);
+echo '<ul id="' . $ul_id . '"><li><a href="/branches/cartis">Home</a></li>';
+while (list($key, $val) = each($bc)) {
+    $dir = '';
+    if ($key > 1) {
+        $n = 1;
+        while ($n < $key) {
+            $dir.='/' . $bc[$n];
+            $val = $bc[$n];
+            $n++;
+        }
+        if ($key < count($bc) - 1)
+            echo '<li><a href="' . $dir . '">' . $val . '</a></li>';
+    }
+}
+echo '<li>' . $pagetitle . '</li>';
+echo '</ul>';
+?>
Index: Dev/branches/Cartis/css/visualeditors.css
===================================================================
--- Dev/branches/Cartis/css/visualeditors.css	(revision 238)
+++ Dev/branches/Cartis/css/visualeditors.css	(revision 239)
@@ -498,2 +498,14 @@
     padding: 2px;
 }
+
+.graphDisplay{
+    
+    width: auto;
+    height: auto;
+}
+
+#breadcrumbs {
+    text-decoration: underline;
+    font-size: 50px;
+    font-family: monospace;
+}
Index: Dev/branches/Cartis/dashboardDataSelection.php
===================================================================
--- Dev/branches/Cartis/dashboardDataSelection.php	(revision 238)
+++ Dev/branches/Cartis/dashboardDataSelection.php	(revision 239)
@@ -20,79 +20,85 @@
         <?php new Stylesheet("visualEditors"); ?>
 
+
         <?php $dbDataSelectionWidget->Javascript(); ?>
     </head>
     <body>
-        <div id="header">
-            <?php new Logo(); ?>
+
+        <div id="breadcrumbs">
+            <?php
+            $pagetitle = "Dashboard Data Selection";
+            include("breadcrumbs.php");
+            ?> 
         </div>
 
-        <div id="content">
-            <div id="wrapper">
+            <div id="header">
+                
+            </div>
 
-                <div id="leftColumn">
+            <div id="content">
+                <div id="wrapper">
 
-                    <div class="largeFrame C" id="dbDataSelector">
-                        <div class="content">
+                    <div id="leftColumn">
 
-                            <div style="float: left; clear: none;">
-                                <div class="largeTitle">Instance data</div>
-                                <select id="dbSessionInstancesList" multiple class="dbDataList" size="15" onchange="infoPanelTimeout(event);">
+                        <div class="largeFrame C" id="dbDataSelector">
+                            <div class="content">
 
-                                    <?php
-                                    
-                                      //Changed sessions into questions
-                                      // foreach ($dbDataSelectionWidget->survey as $question) {
-                                      foreach ($dbDataSelectionWidget->sessions as $session) {
-                                      // Fill list
-                                      // First checkbox, then descriptor
-                                      echo "<option value='$session->uid'>$session->title</option>";
-                                      }
-                                     
-                                    
-                                    ?>
-                                </select>
+                                <div style="float: left; clear: none;">
+                                    <div class="largeTitle">Instance data</div>
+                                    <select id="dbSessionInstancesList" multiple class="dbDataList" size="15" onchange="infoPanelTimeout(event);">
+
+                                        <?php
+                                        //Changed sessions into questions
+                                        // foreach ($dbDataSelectionWidget->survey as $question) {
+                                        foreach ($dbDataSelectionWidget->sessions as $session) {
+                                            // Fill list
+                                            // First checkbox, then descriptor
+                                            echo "<option value='$session->uid'>$session->title</option>";
+                                        }
+                                        ?>
+                                    </select>
+                                </div>
+
+                                <div style="float: left; clear:none;">
+                                    <div class="largeTitle">Game data</div>
+                                    <select id="dbGamedataList" multiple class="dbDataList" size="15" onChange="infoPanelTimeout(event);">
+                                        <?php
+                                        foreach ($dbDataSelectionWidget->gamedata as $gamedata) {
+                                            // Fill list
+                                            // First checkbox, then descriptor
+                                            echo "<option value='$gamedata->uid'>$gamedata->title</option>";
+                                        }
+                                        ?>
+                                    </select>
+                                </div>
+                            </div>
+                        </div>
+
+
+                        <div class="largeFrame Cu" id="dbInfoPanel">
+                            <div class='largeTitle'>Info panel</div>
+                            <div class="content" id="dbInfoPanelContent" style="height: 100px;">
+
                             </div>
 
-                            <div style="float: left; clear:none;">
-                                <div class="largeTitle">Game data</div>
-                                <select id="dbGamedataList" multiple class="dbDataList" size="15" onChange="infoPanelTimeout(event);">
-                                    <?php
-                                    foreach ($dbDataSelectionWidget->gamedata as $gamedata) {
-                                        // Fill list
-                                        // First checkbox, then descriptor
-                                        echo "<option value='$gamedata->uid'>$gamedata->title</option>";
-                                    }
-                                    ?>
-                                </select>
+                            <div class="controls">
+                                <input type="button" class="smallButton" id="btnAddToCart" value="Add to list" onClick="addDataToList();" />
                             </div>
                         </div>
                     </div>
 
+                    <div id="rightColumn">
+                        <div class="largeFrame Cv" id="dbShoppingCart">
+                            <div class="largeTitle">Selected data</div>
+                            <div class="content" id="shoppingCartContent">
 
-                    <div class="largeFrame Cu" id="dbInfoPanel">
-                        <div class='largeTitle'>Info panel</div>
-                        <div class="content" id="dbInfoPanelContent" style="height: 100px;">
-
-                        </div>
-
-                        <div class="controls">
-                            <input type="button" class="smallButton" id="btnAddToCart" value="Add to list" onClick="addDataToList();" />
-                        </div>
-                    </div>
-                </div>
-
-                <div id="rightColumn">
-                    <div class="largeFrame Cv" id="dbShoppingCart">
-                        <div class="largeTitle">Selected data</div>
-                        <div class="content" id="shoppingCartContent">
-
-                        </div>
-                        <div class="controls">
-                            <input type="button" class="smallButton" id="btnAddToCart" value="Configure Dashboard" onClick="configureDashboard();" />
+                            </div>
+                            <div class="controls">
+                                <input type="button" class="smallButton" id="btnAddToCart" value="Configure Dashboard" onClick="configureDashboard();" />
+                            </div>
                         </div>
                     </div>
                 </div>
             </div>
-        </div>
     </body>
 </html>
Index: Dev/branches/Cartis/dashboardGraphSelection.php
===================================================================
--- Dev/branches/Cartis/dashboardGraphSelection.php	(revision 238)
+++ Dev/branches/Cartis/dashboardGraphSelection.php	(revision 239)
@@ -26,4 +26,5 @@
         <script src="RGraph/libraries/RGraph.bar.js" ></script>
         <script src="RGraph/libraries/RGraph.pie.js" ></script>  
+
 
         <script>
@@ -89,6 +90,16 @@
     <body>
         <div id="header">
-            <?php new Logo(); ?>
+            
         </div>
+        
+                
+<div 
+        <div id="breadcrumbs">
+            <?php
+            $pagetitle = "Dashboard Graph Selection";
+            include("breadcrumbs.php");
+            ?> 
+        </div>
+
 
         <div id="content">
Index: Dev/branches/Cartis/dashboardOverview.php
===================================================================
--- Dev/branches/Cartis/dashboardOverview.php	(revision 238)
+++ Dev/branches/Cartis/dashboardOverview.php	(revision 239)
@@ -64,5 +64,5 @@
 
                         <div class="largeTitle">Dashboard Overview</div>                         
-                        <div class="content" id="graphDisplay" style="width: auto; height: auto; ">
+                        <div class="content" id="graphDisplay">
                             <input type="hidden" id="inputDataField" value='<?php echo $dataIn; ?>' />
 